package org.project.entity.players;

import org.project.entity.Entity;
import org.project.location.GameDisplay;


public class Assassin extends Player
{
    public Assassin (String name) { super(name , 40, 60, 0); }

    @Override
    public void specialAbility(Entity target)
    {
        if (this.getMp() >= 9)
        {
            super.specialAbility(target);
            System.out.println(GameDisplay.CYAN + "Assassin picks up the axe and deals a heavy below to the enemy ⚒️" + GameDisplay.RESET);
            this.setMp(this.getMp() - 9);
            target.takeDamage(12);
        }
        else System.out.println(GameDisplay.RED + "Assassin does not have enough MP to use special ability 😓" + GameDisplay.RESET);
    }
}
